Loading...
Searching...
No Matches
NumericTraits.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/BasicSL/Complex.h>`

Go to the source code of this file.

## Classes

class | casacore::NumericTraits< T >
| More...
class | casacore::NumericTraits_F< Float >
| NumericTraits specialization for Float. More...
class | casacore::NumericTraits_D< Double >
| NumericTraits specialization for Double. More...
class | casacore::NumericTraits_C< Complex >
| NumericTraits specialization for Complex. More...
class | casacore::NumericTraits_DC< DComplex >
| NumericTraits specialization for DComplex. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | NumericTraits_F
#define | NumericTraits_D
#define | NumericTraits_C
#define | NumericTraits_DC

## Macro Definition Documentation

## NumericTraits_C

#define NumericTraits_C

Definition at line 324 of file NumericTraits.h.

## NumericTraits_D

#define NumericTraits_D

Definition at line 287 of file NumericTraits.h.

## NumericTraits_DC

#define NumericTraits_DC

Definition at line 363 of file NumericTraits.h.

## NumericTraits_F

#define NumericTraits_F

Definition at line 250 of file NumericTraits.h.